Distribution:	CCux
Packager:  Christian Metzen <metzench@ccux-linux.de>

Summary:   This package contains utilities and test programs for the Linux SCSI subsystem.
Name:      sg3-utils
Version:   1.29
Release:   1
Provides:  sg3-utils
License:   GNU/GPL
URL:	   http://sg.danny.cz/sg/
Group:     System/Configuration/Hardware
Source0:   sg3_utils-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: i686

BuildRequires: glibc-devel
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf

%description
This package contains utilities and test programs for the Linux SCSI
subsystem. In the Linux 2.6 kernel series almost all of these programs 
will work on any devices that use the SCSI command set. Apart from SCSI 
parallel devices, ATAPI devices (CD/DVDs and tapes), USB mass storage 
devices, Fibre Channel disks and IEEE 1394 storage devices (that use 
the "SBP" protocol) use the SCSI command set.

%package devel
summary:       The sg3-utils package contains development headers.
group:         System/Configuration/Hardware
%description devel
%{summary}


%post
ldconfig

%postun
ldconfig

%prep
%setup -qn sg3_utils-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT/usr/local

%files
%defattr(-,root,root)
%{_bindir}/sg_dd
%{_bindir}/sg_emc_trespass
%{_bindir}/sg_format
%{_bindir}/sg_get_config
%{_bindir}/sg_get_lba_status
%{_bindir}/sg_ident
%{_bindir}/sginfo
%{_bindir}/sg_inq
%{_bindir}/sg_logs
%{_bindir}/sg_luns
%{_bindir}/sg_map
%{_bindir}/sg_map26
%{_bindir}/sgm_dd
%{_bindir}/sg_modes
%{_bindir}/sg_opcodes
%{_bindir}/sgp_dd
%{_bindir}/sg_persist
%{_bindir}/sg_prevent
%{_bindir}/sg_raw
%{_bindir}/sg_rbuf
%{_bindir}/sg_rdac
%{_bindir}/sg_read
%{_bindir}/sg_read_block_limits
%{_bindir}/sg_read_buffer
%{_bindir}/sg_readcap
%{_bindir}/sg_read_long
%{_bindir}/sg_reassign
%{_bindir}/sg_requests
%{_bindir}/sg_reset
%{_bindir}/sg_rmsn
%{_bindir}/sg_rtpg
%{_bindir}/sg_safte
%{_bindir}/sg_sat_identify
%{_bindir}/sg_sat_phy_event
%{_bindir}/sg_sat_set_features
%{_bindir}/sg_scan
%{_bindir}/sg_senddiag
%{_bindir}/sg_ses
%{_bindir}/sg_start
%{_bindir}/sg_stpg
%{_bindir}/sg_sync
%{_bindir}/sg_test_rwbuf
%{_bindir}/sg_turs
%{_bindir}/sg_unmap
%{_bindir}/sg_verify
%{_bindir}/sg_vpd
%{_bindir}/sg_write_buffer
%{_bindir}/sg_write_long
%{_bindir}/sg_write_same
%{_bindir}/sg_wr_mode
%{_libdir}/libsgutils2.so.*
%{_mandir}/man8/scsi_readcap.8.gz
%{_mandir}/man8/scsi_ready.8.gz
%{_mandir}/man8/scsi_start.8.gz
%{_mandir}/man8/scsi_stop.8.gz
%{_mandir}/man8/sg3_utils.8.gz
%{_mandir}/man8/sg_*.8.gz
%{_mandir}/man8/sginfo.8.gz
%{_mandir}/man8/sgm_dd.8.gz
%{_mandir}/man8/sgp_dd.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/scsi/sg_cmds_basic.h
%{_includedir}/scsi/sg_cmds_extra.h
%{_includedir}/scsi/sg_cmds.h
%{_includedir}/scsi/sg_cmds_mmc.h
%{_includedir}/scsi/sg_io_linux.h
%{_includedir}/scsi/sg_lib_data.h
%{_includedir}/scsi/sg_lib.h
%{_includedir}/scsi/sg_linux_inc.h
%{_includedir}/scsi/sg_pt.h
%{_libdir}/libsgutils2.a
%{_libdir}/libsgutils2.la
%{_libdir}/libsgutils2.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.29-1
- version update
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.26-1
- version update
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.11-1
- Initial Release
